# https://gitlab.com/pages/mkdocs/blob/master/.gitlab-ci.yml
#	= ^ . ^ =

# Run the CI/CD pipeline on branches, tags and merge requests
workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_COMMIT_TAG
    # https://docs.gitlab.com/ee/ci/jobs/job_control.html#common-if-clauses-for-rules
    - if: $CI_PIPELINE_SOURCE == 'api'
    - if: $CI_PIPELINE_SOURCE == 'chat'
    - if: $CI_PIPELINE_SOURCE == 'external'
    - if: $CI_PIPELINE_SOURCE == 'external_pull_request_event'
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_PIPELINE_SOURCE == 'parent_pipeline'
    - if: $CI_PIPELINE_SOURCE == 'pipeline'
    - if: $CI_PIPELINE_SOURCE == 'push'
    - if: $CI_PIPELINE_SOURCE == 'schedule'
    - if: $CI_PIPELINE_SOURCE == 'trigger'
    - if: $CI_PIPELINE_SOURCE == 'web'
    - if: $CI_PIPELINE_SOURCE == 'webide'

# A custom entrypoint can be specified if needed
image:
  name: python:3.11-slim-bullseye

# The PATH environment variable needs to be overriden for the local pip packages to work
before_script:
- ./entrypoint.sh
- export PATH="${PATH}:${HOME}/.local/bin"
- export PIP_INSTALL_OPTS="--root-user-action=ignore"

test:
  stage: test
  script:
  - make -e pre-commit test
  artifacts:
    paths:
    - test
  except:
  - master
  - main

pages:
  stage: deploy
  script:
  - make -e pre-commit build
  artifacts:
    paths:
    - public
  only:
  - main
  - master
  - entregas
  - entregados
